| optoICC

Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.WaveformAdaptation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.WaveformAdaptation:

## Public Member Functions
def | __init__ (self, board=None)
def | disableAutogenSetpoint (self)
def | enableAutogenSetpoint (self)
def | setMode (self, mode)
def | getMode (self)

## Public Attributes
| name
| sys_id
| run
| alpha
| source_address
| target_address
| window_len
| debug
| epsilon
| learning_factor
| transition_template_len
| amplitude
| angle
| config
| number_of_iterations
| rms_spec
| safety_max_out
| out_of_spec_iterations
| num_safety_triggers
| rms_error
| phase_shift
| initial_amplitude_factor
| f_cutoff
| phi_c
| dynamic_output_amplitude
| rms_error_z
| dark_time
| transition_time
| rms_error_max
| reset_statistics
| safety_trigger_error_code
| second_order_correction
| initial_second_harmonics
| reset_iteration
| allowed_movement_range
| mode

## Detailed Description

    Device Functionality - Waveform Adaptation
    System ID: 0x33

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.WaveformAdaptation.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ disableAutogenSetpoint()

def optoICC.registers.icc_registers.WaveformAdaptation.disableAutogenSetpoint | ( |  | self | ) |

## ◆ enableAutogenSetpoint()

def optoICC.registers.icc_registers.WaveformAdaptation.enableAutogenSetpoint | ( |  | self | ) |

## ◆ getMode()

def optoICC.registers.icc_registers.WaveformAdaptation.getMode | ( |  | self | ) |

## ◆ setMode()

def optoICC.registers.icc_registers.WaveformAdaptation.setMode | ( |  | self,
|  |  | mode
| ) |  |

## Member Data Documentation

## ◆ allowed_movement_range

optoICC.registers.icc_registers.WaveformAdaptation.allowed_movement_range

## ◆ alpha

optoICC.registers.icc_registers.WaveformAdaptation.alpha

## ◆ amplitude

optoICC.registers.icc_registers.WaveformAdaptation.amplitude

## ◆ angle

optoICC.registers.icc_registers.WaveformAdaptation.angle

## ◆ config

optoICC.registers.icc_registers.WaveformAdaptation.config

## ◆ dark_time

optoICC.registers.icc_registers.WaveformAdaptation.dark_time

## ◆ debug

optoICC.registers.icc_registers.WaveformAdaptation.debug

## ◆ dynamic_output_amplitude

optoICC.registers.icc_registers.WaveformAdaptation.dynamic_output_amplitude

## ◆ epsilon

optoICC.registers.icc_registers.WaveformAdaptation.epsilon

## ◆ f_cutoff

optoICC.registers.icc_registers.WaveformAdaptation.f_cutoff

## ◆ initial_amplitude_factor

optoICC.registers.icc_registers.WaveformAdaptation.initial_amplitude_factor

## ◆ initial_second_harmonics

optoICC.registers.icc_registers.WaveformAdaptation.initial_second_harmonics

## ◆ learning_factor

optoICC.registers.icc_registers.WaveformAdaptation.learning_factor

## ◆ mode

optoICC.registers.icc_registers.WaveformAdaptation.mode

## ◆ name

optoICC.registers.icc_registers.WaveformAdaptation.name

## ◆ num_safety_triggers

optoICC.registers.icc_registers.WaveformAdaptation.num_safety_triggers

## ◆ number_of_iterations

optoICC.registers.icc_registers.WaveformAdaptation.number_of_iterations

## ◆ out_of_spec_iterations

optoICC.registers.icc_registers.WaveformAdaptation.out_of_spec_iterations

## ◆ phase_shift

optoICC.registers.icc_registers.WaveformAdaptation.phase_shift

## ◆ phi_c

optoICC.registers.icc_registers.WaveformAdaptation.phi_c

## ◆ reset_iteration

optoICC.registers.icc_registers.WaveformAdaptation.reset_iteration

## ◆ reset_statistics

optoICC.registers.icc_registers.WaveformAdaptation.reset_statistics

## ◆ rms_error

optoICC.registers.icc_registers.WaveformAdaptation.rms_error

## ◆ rms_error_max

optoICC.registers.icc_registers.WaveformAdaptation.rms_error_max

## ◆ rms_error_z

optoICC.registers.icc_registers.WaveformAdaptation.rms_error_z

## ◆ rms_spec

optoICC.registers.icc_registers.WaveformAdaptation.rms_spec

## ◆ run

optoICC.registers.icc_registers.WaveformAdaptation.run

## ◆ safety_max_out

optoICC.registers.icc_registers.WaveformAdaptation.safety_max_out

## ◆ safety_trigger_error_code

optoICC.registers.icc_registers.WaveformAdaptation.safety_trigger_error_code

## ◆ second_order_correction

optoICC.registers.icc_registers.WaveformAdaptation.second_order_correction

## ◆ source_address

optoICC.registers.icc_registers.WaveformAdaptation.source_address

## ◆ sys_id

optoICC.registers.icc_registers.WaveformAdaptation.sys_id

## ◆ target_address

optoICC.registers.icc_registers.WaveformAdaptation.target_address

## ◆ transition_template_len

optoICC.registers.icc_registers.WaveformAdaptation.transition_template_len

## ◆ transition_time

optoICC.registers.icc_registers.WaveformAdaptation.transition_time

## ◆ window_len

optoICC.registers.icc_registers.WaveformAdaptation.window_len

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py